--
-- Patch DML de GRHUM du 04/10/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 1.8.3.0
-- Date de publication : 04/10/2013
-- Auteur(s) : Alain

-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;



------------------------V20130905.112950__DML_parametrePlanHabilitation.sql-------------------------
--Insertion des parametres definissant l'annee de depart et la duree du plan d'habilitation 
declare 
    persIdCreateur  integer;
    keyHabilitationAnneeDebut VARCHAR2(512);
    keyHabilitationDuree VARCHAR2(512);   
    itemCount integer;
    paramTypeId integer;
begin
    -- persIdCreation
    SELECT PERS_ID into persIdCreateur
               FROM GRHUM.COMPTE
        WHERE CPT_LOGIN = (SELECT PARAM_VALUE FROM GRHUM.GRHUM_PARAMETRES
                                                WHERE PARAM_ORDRE = (SELECT MIN(PARAM_ORDRE) FROM GRHUM.GRHUM_PARAMETRES WHERE PARAM_KEY='GRHUM_CREATEUR'));
                                                
    keyHabilitationAnneeDebut := 'org.cocktail.fwkcktlscolpeda.habilitation.anneedebut';
    keyHabilitationDuree := 'org.cocktail.fwkcktlscolpeda.habilitation.duree';
    
        
    select count(*) into itemCount from  GRHUM.GRHUM_PARAMETRES where  PARAM_KEY = keyHabilitationAnneeDebut;
    if itemCount =0 then
      select type_id into paramTypeId  from GRHUM.grhum_parametres_type where type_id_interne = 'SCHOOL_YEAR';
      INSERT INTO GRHUM.GRHUM_PARAMETRES (PARAM_ORDRE,PARAM_KEY, PARAM_VALUE, PARAM_COMMENTAIRES, PERS_ID_CREATION,PERS_ID_MODIFICATION,D_CREATION,D_MODIFICATION,PARAM_TYPE_ID) 
        values (GRHUM.GRHUM_PARAMETRES_SEQ.NEXTVAL,keyHabilitationAnneeDebut, '2013', 'Année du début d''habilitation', persIdCreateur,persIdCreateur ,sysdate, sysdate, paramTypeId);
    end if;

    select count(*) into itemCount from  GRHUM.GRHUM_PARAMETRES where  PARAM_KEY = keyHabilitationDuree;
    if itemCount =0 then
      select type_id into paramTypeId  from GRHUM.grhum_parametres_type where type_id_interne = 'VALEUR_NUMERIQUE';
      INSERT INTO GRHUM.GRHUM_PARAMETRES (PARAM_ORDRE,PARAM_KEY,PARAM_VALUE,PARAM_COMMENTAIRES,PERS_ID_CREATION,PERS_ID_MODIFICATION,D_CREATION,D_MODIFICATION,PARAM_TYPE_ID) 
        values (GRHUM.GRHUM_PARAMETRES_SEQ.NEXTVAL,keyHabilitationDuree,5,'Durée de l''habilitation',persIdCreateur,persIdCreateur,sysdate, sysdate, paramTypeId);
    end if;
end;
/


-----------------------V20131003.171456__DML_MAJ_ECHELON_PASSAGE_ECHELON.sql------------------------

GRANT SELECT ON mangue.temps_partiel_seq TO import;

DECLARE

cpt INTEGER;

BEGIN


SELECT COUNT(*) INTO cpt FROM GRHUM.SITUATION_MILITAIRE WHERE L_SIT_MILITAIRE = 'JDC';
if (cpt = 0)
then
	INSERT INTO GRHUM.SITUATION_MILITAIRE VALUES ('C', 'JDC', 'O', SYSDATE, SYSDATE);
end if;

SELECT count(*) INTO cpt FROM GRHUM.TYPE_PERIODE_MILIT WHERE C_PERIODE_MILITAIRE = 'JDC';
if (cpt = 0)
then
	INSERT INTO TYPE_PERIODE_MILIT VALUES ('JDC', 'JDC', 'Journée Défense et Citoyenneté', 'O', SYSDATE, SYSDATE, NULL);
END IF;

UPDATE GRHUM.SITUATION_MILITAIRE SET TEM_PERIODE_MILITAIR = 'O' WHERE C_SIT_MILITAIRE = 'J';

UPDATE GRHUM.POSITION SET TEM_VALIDE = 'N' WHERE C_POSITION IN ('ACTS', 'CFA', 'CFP', 'CLD', 'CGST', 'CRCT');

UPDATE GRHUM.TYPE_CONTRAT_TRAVAIL SET D_DEB_VAL = to_date('06/06/1969', 'dd/mm/yyyy') where c_type_contrat_trav = 'OT';

UPDATE GRHUM.CORPS c
SET c.potentiel_brut = 66
WHERE c.lc_corps IN ('AST ', 'ASAD', 'PHAD', 'PHY'); 


/*** ENFANTS ***/


-- Formattage de la date de naissance pour enlever certaines dates avec des heures
UPDATE GRHUM.ENFANT set d_naissance = to_date(to_char(d_naissance, 'dd/mm/yyyy'), 'dd/mm/yyyy');


-- Mise a jour des liens de filiation et temoin a charge

select count(*) into cpt from all_tab_columns where column_name = 'LFEN_ORDRE' and table_name = 'ENFANT' and owner = 'GRHUM';
if (cpt > 0)
then

    EXECUTE IMMEDIATE 'UPDATE GRHUM.REPART_ENFANT re SET lfen_ordre = (select lfen_ordre from grhum.enfant e where e.no_enfant = re.no_enfant)';
    EXECUTE IMMEDIATE 'UPDATE GRHUM.REPART_ENFANT re SET tem_a_charge = NVL ((select a_charge from grhum.enfant e where e.no_enfant = re.no_enfant), ''O'')';
     
    
    EXECUTE IMMEDIATE 'ALTER TABLE GRHUM.ENFANT DROP COLUMN A_CHARGE';    
    EXECUTE IMMEDIATE 'ALTER TABLE GRHUM.ENFANT DROP COLUMN LFEN_ORDRE';

end if;

select count(*) into cpt from grhum.type_contrat_grades where c_type_contrat_trav = 'AT';
if (cpt = 0)
then
INSERT INTO grhum.type_contrat_grades
(ID_TCG, C_GRADE, C_TYPE_CONTRAT_TRAV, D_CREATION, D_MODIFICATION)
 values (grhum.type_contrat_grades_seq.nextval, '7531', 'AT', sysdate, sysdate);
end if;


select count(*) into cpt from grhum.bac where bac_code = 'TD2A';
if (cpt = 0)
then
INSERT into grhum.bac values ('TD2A','SCIENCES ET TECHNOLOGIE DU DESIGN ET DES ARTS APPLIQUES', 'TD', 'BAC', 'STD', 2013, sysdate, sysdate, 'O', null);
end if;

select count(*) into cpt from grhum.bac where bac_code = 'TI2D';
if (cpt = 0)
then
INSERT into grhum.bac values ('TI2D','SCIENCES ET TECHNOLOGIE INDUSTRIE ET DEVELOPPEMENT DURABLE', 'TI', 'BAC', 'STI', 2013, sysdate, sysdate, 'O', null);
end if;


/************************************

Mise a jour de plusieurs CORPS, GRADES et PASSAGE_ECHELON

********************************/


select count(*) into cpt from grhum.corps where c_corps = '343';
if (cpt = 0)
then
    INSERT INTO GRHUM.CORPS
    (C_CORPS, LC_CORPS, LL_CORPS, C_TYPE_CORPS, C_CATEGORIE, C_FILIERE, C_BUREAU_GESTION, MASSE_INDICIAIRE, 
    TEM_CFP, TEM_CRCT, TEM_DELEGATION, TEM_MISDEP, TEM_SURNOMBRE, D_OUVERTURE_CORPS, D_FERMETURE_CORPS, D_CREATION, D_MODIFICATION, POTENTIEL_BRUT, TEM_LOCAL)
    VALUES
    ('343', 'PRCF', 'PROFESSEUR DU COLLEGE DE FRANCE', 'GA', 'A', NULL, NULL, NULL,
    'O', 'N', 'N', 'N', 'N', TO_DATE('01/01/1900', 'dd/mm/yyyy'), NULL, SYSDATE, SYSDATE, 0, 'N');
end if;

select count(*) into cpt from grhum.grade where c_grade = '3431';
if (cpt = 0)
then
INSERT INTO GRHUM.GRADE
(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, ECHELLE, IRM_GRADE, TEMOIN_NOTE, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
VALUES
('3431','PRCF', 'PROFESSEUR DU COLLEGE DE FRANCE', '343', NULL, NULL, NULL, 'N', TO_DATE('01/01/1900', 'dd/mm/yyyy'), NULL, SYSDATE, SYSDATE,'N' );
end if;

select count(*) into cpt from grhum.grade where c_grade = '8081';
if (cpt = 0)
then
INSERT INTO GRHUM.GRADE
(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, ECHELLE, IRM_GRADE, TEMOIN_NOTE, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
VALUES
('8081','BIB.ADJ PR', 'BIBLIOTHECAIRE ADJ. PRINCIPAL PROVISOIRE', '808', NULL, NULL, NULL, 'O', TO_DATE('01/08/1995', 'dd/mm/yyyy'), TO_DATE('31/12/1996','dd/mm/yyyy'), SYSDATE, SYSDATE,'N' );
end if;

select count(*) into cpt from grhum.passage_echelon where c_grade = '3431';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('3431', '01', NULL, 0, 0, 0, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('3431', '02', NULL, 0, 0, 0, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('3431', '03', NULL, 0, 0, 0, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('3431', '04', NULL, 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;


select count(*) into cpt from grhum.passage_echelon where c_grade = '2141';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '01', NULL, 0, 0, 0, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '02', NULL, 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '03', NULL, 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '04', NULL, 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '05', NULL, 0, 0, 0, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '06', NULL, 0, 0, 0, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '07', NULL, 0, 0, 0, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '08', NULL, 0, 0, 0, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '09', NULL, 0, 0, 0, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '10', NULL, 0, 0, 0, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2141', '11', NULL, 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;


select count(*) into cpt from grhum.passage_echelon where c_grade = '2511';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2511', '01', NULL, 0, 0, 0, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2511', '02', NULL, 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2511', '03', NULL, 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2511', '04', NULL, 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2511', '05', NULL, 0, 0, 0, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('2511', '06', NULL, 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;




select count(*) into cpt from grhum.passage_echelon where c_grade = '8016';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8016', 'SV', '416', 0, 0, 0, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8016', 'SP', '459', 0, 0, 0, 0, 0 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8016', '1P', '616', 0, 0, 0, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8016', '2P', '661', 0, 0, 0, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8031';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8031', '01', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8031', '02', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8031', '03', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8031', '04', NULL, 0, 0, 2, 6, 3, 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8031', '05', NULL, 0, 0, 2, 6, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8031', '06', NULL, 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;




select count(*) into cpt from grhum.passage_echelon where c_grade = '8061';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8061', '01', '379', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8061', '02', '423', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8061', '03', '465', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8061', '04', '510', 0, 0, 2, 6, 3, 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8061', '05', '550', 0, 0, 2, 6, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8061', '06', '593', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;




select count(*) into cpt from grhum.passage_echelon where c_grade = '8071';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '01', '298', 0, 0, 0, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '02', '309', 0, 0, 0, 0, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '03', '321', 0, 0, 0, 0, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '04', '336', 0, 0, 0, 0, 1, 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '05', '345', 0, 0, 0, 0, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '06', '360', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '07', '379', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '08', '389', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '09', '395', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '10', '430', 0, 0, 2, 3, 3, 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '11', '453', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8071', '12', '474', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8072';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8072', '01', '418', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8072', '02', '441', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8072', '03', '473', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8072', '04', '501', 0, 0, 3, 0, 4, 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8072', '05', '533', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;




select count(*) into cpt from grhum.passage_echelon where c_grade = '8073';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '01', '384', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '02', '423', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '03', '448', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '04', '479', 0, 0, 1, 6, 2, 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '05', '510', 0, 0, 2, 0, 2 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '06', '547', 0, 0, 2, 0, 2, 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8073', '07', '579', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;




select count(*) into cpt from grhum.passage_echelon where c_grade = '8081';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '01', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '02', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '03', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '04', NULL, 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '05', NULL, 0, 0, 2, 0, 2 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '06', NULL, 0, 0, 2, 0, 2, 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8081', '07', NULL, 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8084';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '01', '425', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '02', '453', 0, 0, 2, 0, 2 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '03', '487', 0, 0, 2, 0, 2 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '04', '518', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '05', '549', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '06', '580', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8084', '07', '612', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8131';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '01', '299', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '02', '302', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '03', '307', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '04', '322', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '05', '336', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '06', '351', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '07', '364', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '08', '380', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '09', '398', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '10', '427', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8131', '11', '446', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8141';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '01', '245', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '02', '253', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '03', '260', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '04', '267', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '05', '277', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '06', '289', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '07', '294', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '08', '303', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '09', '314', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '10', '321', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8141', '11', '343', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8142';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '01', '297', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '02', '298', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '03', '299', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '04', '303', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '05', '310', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '06', '318', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '07', '328', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '08', '337', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '09', '348', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '10', '364', 0, 0, 4, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8142', '11', '388', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;


select count(*) into cpt from grhum.passage_echelon where c_grade = '8151';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '01', '298', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '02', '309', 0, 0, 1, 6, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '03', '321', 0, 0, 1, 6, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '04', '336', 0, 0, 1, 6, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '05', '347', 0, 0, 1, 6, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '06', '362', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '07', '380', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '08', '397', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '09', '426', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '10', '450', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '11', '483', 0, 0, 2, 3, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '12', '510', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8151', '13', '544', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8274';
if (cpt = 0)
then

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8274', 'TP', '487', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8320';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '01', '245', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '02', '253', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '03', '260', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '04', '267', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '05', '277', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '06', '289', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '07', '294', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '08', '303', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '09', '314', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '10', '321', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8320', '11', '343', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;




select count(*) into cpt from grhum.passage_echelon where c_grade = '8370';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '01', '238', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '02', '257', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '03', '271', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '04', '290', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '05', '305', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '06', '318', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '07', '333', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '08', '345', 0, 0, 2, 6, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '09', '360', 0, 0, 2, 6, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '10', '374', 0, 0, 3, 0, 4 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8370', '11', '382', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8384';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '01', '306', 0, 0, 1, 0, 1 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '02', '315', 0, 0, 1, 6, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '03', '337', 0, 0, 1, 6, 1 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '04', '347', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '05', '366', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '06', '398', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '07', '398', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '08', '416', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '09', '436', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '10', '450', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', '11', '474', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8384', 'TP', '487', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;


select count(*) into cpt from grhum.passage_echelon where c_grade = '8385';
if (cpt = 0)
then
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8385', '01', '418', 0, 0, 1, 0, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8385', '02', '450', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8385', '03', '476', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8385', '04', '487', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8385', '05', '514', 0, 0, 2, 6, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8385', '06', '533', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );
end if;



select count(*) into cpt from grhum.passage_echelon where c_grade = '8386';
if (cpt = 0)
then

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '01', '384', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '02', '444', 0, 0, 1, 6, 2 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '03', '464', 0, 0, 2, 0, 2 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '04', '487', 0, 0, 2, 0, 2 , 6, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '05', '514', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '06', '547', 0, 0, 2, 0, 3 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '07', '579', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '1P', '384', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '2P', '444', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

    INSERT INTO GRHUM.PASSAGE_ECHELON
    (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
    VALUES
    ('8386', '3P', '464', 0, 0, 0, 0, 0 , 0, SYSDATE, SYSDATE, NULL, TO_DATE('01/01/1900', 'dd/mm/yyyy'),'N' );

end if;

END ;
/

/**************

SUPINFO ANT 

Ajout de sous sections CNU pour les CNU : 12, 13, 14, 15

***************/

/* SECTION 12	*/

ALTER TABLE GRHUM.CNU MODIFY C_SOUS_SECTION_CNU VARCHAR2(3);

DELETE FROM GRHUM.CNU where c_section_cnu in ('12') and (c_sous_section_cnu is not null and c_sous_section_cnu <> '000');

UPDATE GRHUM.CNU SET TEM_COMPOSEE = 'O', C_SOUS_SECTION_CNU = '000' where C_SECTION_CNU = '12' AND C_SOUS_SECTION_CNU IS NULL;

INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(200, '12', '011', 'Allemand', 'Allemand', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(201, '12', '012', 'Néerlandais', 'Néerlandais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(202, '12', '013', 'Yiddish', 'Yiddish', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(203, '12', '021', 'Norvégien', 'Norvégien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(204, '12', '022', 'Danois', 'Danois', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(205, '12', '023', 'Suédois', 'Suédois', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(206, '12', '024', 'Islandais', 'Islandais', NULL, 'N', 'O', SYSDATE, SYSDATE );

/** SECTION 13	**/

DELETE FROM GRHUM.CNU where c_section_cnu in ('13') and (c_sous_section_cnu is not null and c_sous_section_cnu <> '000');

UPDATE GRHUM.CNU SET TEM_COMPOSEE = 'O', C_SOUS_SECTION_CNU = '000' where C_SECTION_CNU = '13' AND C_SOUS_SECTION_CNU IS NULL;

INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(207, '13', '001', 'Russe', 'Russe', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(208, '13', '002', 'Polonais', 'Polonais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(209, '13', '003', 'Tchèque', 'Tchèque', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(210, '13', '004', 'Serbo-Croate', 'Serbo-Croate', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(211, '13', '005', 'Bulgare', 'Bulgare', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(212, '13', '006', 'Slovène', 'Slovène', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(213, '13', '007', 'Macédonien', 'Macédonien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(214, '13', '008', 'Slovaque', 'Slovaque', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(215, '13', '009', 'Letton', 'Letton', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(216, '13', '010', 'Lituanien', 'Lituanien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(217, '13', '011', 'Ukrainien', 'Ukrainien', NULL, 'N', 'O', SYSDATE, SYSDATE );



/** SECTION 14	**/

DELETE FROM GRHUM.CNU where c_section_cnu in ('14') and (c_sous_section_cnu is not null and c_sous_section_cnu <> '000');

UPDATE GRHUM.CNU SET TEM_COMPOSEE = 'O', C_SOUS_SECTION_CNU = '000' where C_SECTION_CNU = '14' AND C_SOUS_SECTION_CNU IS NULL;

INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(218, '14', '001', 'Espagnol', 'Espagnol', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(219, '14', '002', 'Portugais', 'Portugais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(220, '14', '003', 'Italien', 'Italien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(221, '14', '004', 'Roumain', 'Roumain', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(222, '14', '021', 'Arabe', 'Arabe', NULL, 'N', 'O', SYSDATE, SYSDATE );



/** SECTION 15	**/

DELETE FROM GRHUM.CNU where c_section_cnu in ('15') and (c_sous_section_cnu is not null and c_sous_section_cnu <> '000');

UPDATE GRHUM.CNU SET TEM_COMPOSEE = 'O', C_SOUS_SECTION_CNU = '000' where C_SECTION_CNU = '15' AND C_SOUS_SECTION_CNU IS NULL;

INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(223, '15', '022', 'Hébreu', 'Hébreu', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(224, '15', '031', 'Sanskrit', 'Sanskrit', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(225, '15', '032', 'Grec moderne', 'Grec moderne', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(226, '15', '033', 'Hindi Ourdou', 'Hindi Ourdou', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(227, '15', '034', 'Népali', 'Népali', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(228, '15', '035', 'Bengali', 'Bengali', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(229, '15', '036', 'Persan Kurde', 'Persan Kurde', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(230, '15', '037', 'Albanais', 'Albanais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(231, '15', '038', 'Tsigane', 'Tsigane', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(232, '15', '039', 'Pachto', 'Pachto', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(233, '15', '040', 'Arménien', 'Arménien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(234, '15', '051', 'Tamoul', 'Tamoul', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(235, '15', '052', 'Telugu', 'Telugu', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(236, '15', '061', 'Irlandais', 'Irlandais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(237, '15', '071', 'Hongrois', 'Hongrois', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(238, '15', '072', 'Finnois', 'Finnois', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(239, '15', '073', 'Estonien', 'Estonien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(240, '15', '074', 'Inuit', 'Inuit', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(241, '15', '081', 'Japonais', 'Japonais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(242, '15', '082', 'Coréen', 'Coréen', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(243, '15', '091', 'Birman', 'Birman', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(244, '15', '092', 'Thibétain', 'Thibétain', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(245, '15', '101', 'Thai', 'Thai', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(246, '15', '102', 'Laotien', 'Laotien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(247, '15', '111', 'Indonésien', 'Indonésien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(248, '15', '112', 'Tagalog', 'Tagalog', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(249, '15', '113', 'Malgache', 'Malgache', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(250, '15', '114', 'Philipin', 'Philipin', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(251, '15', '115', 'Siamois', 'Siamois', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(252, '15', '116', 'Singhalais', 'Singhalais', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(253, '15', '121', 'Turc', 'Turc', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(254, '15', '122', 'Géorgien', 'Géorgien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(255, '15', '123', 'Berbère', 'Berbère', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(256, '15', '124', 'Chinois', 'Chinois', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(257, '15', '125', 'Vietnamien', 'Vietnamien', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(258, '15', '126', 'Khmer', 'Khmer', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(259, '15', '131', 'Peul', 'Peul', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(260, '15', '132', 'Bambara', 'Bambara', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(261, '15', '133', 'Haoussa', 'Haoussa', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(262, '15', '134', 'Yoruba', 'Yoruba', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(263, '15', '135', 'Wolof', 'Wolof', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(264, '15', '141', 'Amharique', 'Amharique', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(265, '15', '142', 'Tigrina', 'Tigrina', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(266, '15', '151', 'Bantou (Swahili)', 'Bantou (Swahili)', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(267, '15', '152', 'Langue Mande', 'Langue Mande', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(268, '15', '161', 'Quechua', 'Quechua', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(269, '15', '162', 'Guarani', 'Guarani', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(270, '15', '163', 'Nahuati', 'Nahuati', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(271, '15', '164', 'Maya', 'Maya', NULL, 'N', 'O', SYSDATE, SYSDATE );
INSERT INTO GRHUM.CNU 
(NO_CNU, C_SECTION_CNU, C_SOUS_SECTION_CNU, LC_SECTION_CNU, LL_SECTION_CNU, GROUPE_CNU, TEM_COMPOSEE, TEM_VALIDE, D_CREATION, D_MODIFICATION)
VALUES
(272, '15', '180', 'Langues océaniennes', 'Langues océaniennes', NULL, 'N', 'O', SYSDATE, SYSDATE );



COMMIT;

------------------------V20131003.171901__DML_MAJ_RNE_ET_PASSAGEECHELON.sql-------------------------
DECLARE

cpt INTEGER;

BEGIN

-- ---------------------------------------
--  Codes RNE fournis par l'UPPA
-- ---------------------------------------

  SELECT count(*) INTO cpt
      FROM GRHUM.RNE
     WHERE c_rne = '0310044E';
     
     IF cpt <> 0 THEN
        UPDATE RNE SET ll_rne = 'LYCEE GENERAL ET TECHNOLOGIQUE - DEODAT DE SEVERAC', lc_rne = 'LGT', adresse = '26 BOULEVARD DEODAT DE SEVERAC', code_postal = '31076', d_modification = sysdate, acad_code = '016', ville = 'TOULOUSE'
        WHERE C_RNE = '0310044E';

     ELSE

  insert into grhum.RNE (c_rne, ll_rne, lc_rne, acad_code, etab_statut, adresse, code_postal, ville, d_creation, d_modification, siret)
    values ( '0310044E','LYCEE GENERAL ET TECHNOLOGIQUE - DEODAT DE SEVERAC', 'LGT ','016','PU','26 BOULEVARD DEODAT DE SEVERAC', '31076', 'TOULOUSE', SYSDATE, SYSDATE, '19310044300012');
    
    end if;    
    
-- -------------------------------------------------
--  MAJ sur PASSAGE_ECHELON repéré par l'ENS Cachan
-- -------------------------------------------------

  SELECT count(*) INTO cpt
      FROM GRHUM.PASSAGE_ECHELON
     WHERE c_grade = '8394' and c_echelon = '03' and c_indice_brut = '377';
     
  IF cpt <> 0 THEN
  		UPDATE GRHUM.PASSAGE_ECHELON
  		SET duree_passage_annees = '3'
  		WHERE c_grade = '8394' and c_echelon = '03' and c_indice_brut = '377';
  END IF;


END;
/



--DB_VERSION 
INSERT INTO GRHUM.DB_VERSION(DBV_ID,DBV_LIBELLE,DBV_DATE,DBV_INSTALL,DBV_COMMENT) VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL,'1.8.3.0',to_date('04/10/2013','DD/MM/YYYY'),sysdate,'MAJ CORPS, GRADE, PASSAGE_ECHELON, CNU et RNE');
COMMIT;
